packages:
    all:
        # collab-specific settings
        target: [x86_64]
        compiler: [gcc@10.3.0]
    python:
        # collab-specific settings
        version: [3.8.11]
    r:
        version: [4.1.3]
        # EM: +X fixes build for collab
        variants: [+X]
    py-torch:
        # ECM: keep at latest w.r.t. tracked upstream spack
        version: [1.11.0]
        # ECM: No cuda nor rocm in collab VMs.
        #      I did not try to minimize the specification any further.
        variants: [~cuda~rocm~valgrind~mkldnn~mpi~gloo+tensorpipe~onnx_ml]
    py-jax:
        # ECM: No cuda in collab VMs.
        variants: [~cuda]
    py-jaxlib:
        # ECM: No cuda in collab VMs.
        variants: [~cuda]
